﻿################################################################################
########################## Cmdlets 1 ###########################################
################################################################################
################################################################################
################################################################################

<#
In PS, cmdlets are king.  They allow you to do very complex things with just a few
keystrokes.  Think of them like a gas pedal.  You don't fully understand everything
that happens when you step on your gas pedal, and you don't have to.  When you press
it, the car goes.  You don't have to know what limited slip differentials are.
The gas pedal is like a cmdlet.  It obscures the complexity of what you're asking it
to do and giving you a simple interface for it.

Another way to think of it is like a program.  MS Word is a program, and cmdlets can
be analagous to programs too.  They're something you execute to perform a specific task.
#>

##Let's start with some of the most common that you'll use all the time.
get-service #show gm.
get-process #show gm.

"It's me." | Out-File ./ItsMe.txt
"It's me again." | Out-File ./ItsMe.txt -append

##Out-file is very powerful because it can take nearly any output as an input.
Get-Service | Out-File ./Services.txt
Get-Service | ?{$_.DisplayName -like "*SQL*" } | Out-File ./Services.txt

##Format-table is the bomb!!
Get-Service | ft
get-service | ft DisplayName, StartType, Status -auto
##Where did we get the cols above? Do we know which ones we can use?

##Format-list is also nice sometimes.
Get-Service | fl
get-service | fl DisplayName, StartType, Status




















