﻿################################################################################
########################## Cmdlets 2 ###########################################
################################################################################
################################################################################
################################################################################

<#
We also need to know how to use methods.  Methods are verbs, or actions that can be
performed against an object.  You won't always understand what all the methods do,
but it's fairly easy to pick out the ones you can use.  And most of the time it's
easy.
#>

##Let's start with something dangerous.
##What does this do?
get-service | ForEach-Object{ $_.stop() }
##How about this?  What does it do?
get-service | %{ $_.stop() }


##Out-file is very powerful because it can take nearly any output as an input.
Get-Service | Out-File ./Services.txt
Get-Service | ?{$_.DisplayName -like "*SQL*" } | Out-File ./Services.txt

##Format-table is the bomb!!
Get-Service | ft
get-service | ft DisplayName, StartType, Status -auto
##Where did we get the cols above? Do we know which ones we can use?

##Format-list is also nice sometimes.
Get-Service | fl
get-service | fl DisplayName, StartType, Status
################# Exercises #################3

<#
1. Stop the Volume Shadow Copy service and start it again.
2. Set the Volume Shadow Copy service to start manually instead of automatically.
3. Open notepad in PS by simply typing notepad at the cmdline. Then close
	it using PS.
4. Create a file with a list of all services that start with T.
5. Stop and start the Volume Shadow Copy service again, only this time, use the 
start-service and stop-service cmdlets.
6. List every file in a folder with its size. Make sure it's formatted well.
	HINT: Maybe put it into a table?
#>














