﻿################################################################################
########################## Variables 2 #########################################
################################################################################
################################################################################
################################################################################

<#
Some more cool stuff with variables and strings.

#>

#Escape char "`" #back tick. 
#'n – new line 
"hello `nworld"
#'t – tab
"hello `tworld"


#You can use vars in cmdlines to get to paths and create files.
$FolderName = "MyBackups";
cd C:\$FolderName;
get-location

$FileName = "zzz.txt"
"I love this" | Out-File c:\$FolderName\$FileName;


####################Format-Table Expressions#######################

## Without formatting ##################
get-process | ft ProcessName, PrivateMemorySize, @{ Label = "InGB"; expression = { ($_.PrivateMemorySize/1GB) } }, @{ Label = "InMB"; expression = { ($_.PrivateMemorySize/1MB) } } -autosize


## With formatting##################
get-process | ft ProcessName, PrivateMemorySize, @{ Label = "InGB"; expression = { "{0:N2}" -f ($_.PrivateMemorySize/1GB) } }, @{ Label = "InMB"; expression = { "{0:N2}" -f ($_.PrivateMemorySize/1MB) } } -autosize



## With Var ############################
$InGB = @{ Label = "InGB"; expression = { "{0:N2}" -f ($_.PrivateMemorySize/1GB) } }
$InMB = @{ Label = "InMB"; expression = { "{0:N2}" -f ($_.PrivateMemorySize/1MB) } }

get-process | ft ProcessName, PrivateMemorySize, $InGB, $InMB

## At the DB level with tables or views or SPs #########################

$FullObjName = @{
	Label = "Name"; expression = { "$_.Schema`.$_.Name" }
	dir | FT $FullObjName, RowCount -auto
	
	## You'll see the obvious problem with the above.  you need to use temp vars to get it to look right.
	$FullObjName = @{
		Label = "Name"; expression = { "$($_.Schema)`.$($_.Name)" }
		dir | FT $FullObjName, RowCount -auto
		
		
		####################Variable expansion and Properties#############
		
		$a = "This is my var text."
		$a.Length;
		
		"This is the length: $a.length" #This doesn't work. Let's make it work.
		"This is the length: $($a.length)"