﻿################################################################################
########################## Scripting 5 #########################################
################################################################################
################################################################################
################################################################################

<#
We love the last script.  It does what we asked it to do, but it's very limited.
We're going to change it slightly so it can do a little more.

The issue we're getting around is the hardcoded file location.  Currently we can only 
do a single file in a single location.  So we're going to make it easy to change locations
using the param method we did in the last one.
Notice how we're splitting the location and file?
#>

$FilePath = "c:\ScriptingClass"; #Don't end in \ so we can use it in the calls below.
$FileName = "MinionWare.txt";

If (Test-Path $FilePath\$FileName)
	{
	del $FilePath\$FileName;
	}
ELSE
	{
		"The file was not found.";
	}

##We could have put the \ in the $FilePath var itself but I prefer to see the slashes in the call.  It makes more sense to me.
##Here's what that would've looked like:

<#
$FilePath = "c:\ScriptingClass\"; 
$FileName = "MinionWare.txt";

If (Test-Path $FilePath$FileName)
{
	del $FilePath$FileName;
}
ELSE
{
	"The file was not found.";
}
#>











