﻿<#
.SYNOPSIS
    If you want to delete a file easily, this is your solution.
.DESCRIPTION
    This script deletes a specific file from a specific path
.PARAMETER FilePath
    Path of the filename.  Do not include the ending '\'.
.PARAMETER FileName
    Filename you're looking for.  Include name and extension.
.EXAMPLE
    C:\PS> 
    ./12-Scripting06.ps1 "C:\Scripts" "MyFile.txt"
.NOTES
    Author: Sean McCown
    Date:   2/28/2017    
#>

<#
Here we're making it much easier to get help for our script w/o having to open it.  Because the problem with pass-in params is that you
still have to open the script to see what params are available.  This way you can add some very helpful documentation to your scripts
with usage advice, examples, etc.  This is a great way to provide a real value add.
#>
param ([string]$FilePath,
	[string]$FileName)


################################################################################
########################## Scripting 7 #########################################
################################################################################
################################################################################
################################################################################



#$FilePath = "c:\ScriptingClass"; #Don't end in \ so we can use it in the calls below.
#$FileName = "MinionWare.txt";

If (Test-Path $FilePath\$FileName)
	{
	del $FilePath\$FileName;
	}
ELSE
	{
		"The file was not found.";
	}

##We could have put the \ in the $FilePath var itself but I prefer to see the slashes in the call.  It makes more sense to me.
##Here's what that would've looked like:

<#
$FilePath = "c:\ScriptingClass\"; 
$FileName = "MinionWare.txt";

If (Test-Path $FilePath$FileName)
{
	del $FilePath$FileName;
}
ELSE
{
	"The file was not found.";
}
#>











