﻿
param (
	#[Parameter(Mandatory = $True, HelpMessage = "Enter the FilePath without the ending '\'")]
	[string]$FilePath = "c:\Folder", #Remove the above line if you want a default.
	
	[Parameter(Mandatory = $True, HelpMessage = "Specify a filename and extension i.e.(MyFile.txt)")]
	[string]$FileName)

##You have to type '!?' when you're prompted to enter a missing param if you want to see the HelpMessage text.  
##It's not displayed by default.

################################################################################
########################## Scripting 8 #########################################
################################################################################
################################################################################
################################################################################

#!!!!!!!!!!!!!!!!!!!!!Exercise at bottom!!!!!!!!!!!!!!!!!!!!#

<#
We've got a different, more user-friendly way to handle a param we don't want to enter.
Defining a default value is a great way to do this because if you've got a value that you use all the time,
it makes the script call much easier.  This way you only have to enter the param if it's diff from what you usually do.

Notice that you'll need to ditch the mandatory flag if you want to use a default value otherwise it'll ask for the param value anyway.
You also have to call the 2nd param by name:
.\Script.ps1 -FileName "file.txt"
#>


If (Test-Path $FilePath\$FileName)
	{
	del $FilePath\$FileName;
	}
ELSE
	{
		"The file was not found.";
	}

######Exercise######

<#
This is going to be a real thinking exercise and it's going to pull in a lot of things you've already learned.
But it's going to push you to really think.
Here's the assignment:

Create a script that does what this one does, only if you don't enter a FilePath, it should search your computer for the file.
You may not want to delete it though.  You may just want to print its location to the screen so you can decide whether to delete
it or not.  I'll let you decide, but it may be dangerous to delete a file if it's not where you thought it was.
#>











