﻿

################################################################################
########################## Functions 1 #########################################
################################################################################
################################################################################
################################################################################


<#
Functions are extremely useful and they provide a way to componentize your code.
Componentization is an important part of programming so pay attention because
understanding this will help you go far.

Componentization, not to be too tautological, is a way to create components.
Components can take many forms and provide a specific service to many targets.

Perhaps an example would explain it better.
#>

##In any given script you can have a large number of stmts.  And they can all have
##error handling.  So instead of writing error handling for each stmt, we'll write
##a function as a common error handler.  So when we change it, everybody gets
##the change.


function ErrorHandler($err)
{
	If ($err)
	{
		"Error handled from inside the function."	
	}
}

$ErrorActionPreference = 'Stop';

try{del c:\MyFiles\AFile.txt}
catch { ErrorHandler $Error }
finally { $Error.clear() }

########4 ways to get function definition#############

#(get-command ErrorHandler).definition

#Get-Content function:\ErrorHandler

#cat function:ErrorHandler

#${function:ErrorHandler}






